# `driver_info`

Advanced options for MongoDB drivers implemented on top of PyMongo.

See also

This module is compatible with both the synchronous and asynchronous PyMongo APIs.

class pymongo.driver_info.DriverInfo(name=None, version=None, platform=None)

  Info about a driver wrapping PyMongo.

  The MongoDB server logs PyMongo’s name, version, and platform whenever PyMongo establishes a connection. A driver implemented on top of PyMongo can add its own info to this log message. Initialize with three strings like ‘MyDriver’, ‘1.2.3’, ‘some platform info’. Any of these strings may be None to accept PyMongo’s default.

  Parameters:

    - name (str)

    - version (Optional[str])

    - platform (Optional[str])

  Return type:

    DriverInfo